# Device API Reference

::: xovis.api.device.client
    options:
      show_root_heading: true
      show_source: true

::: xovis.api.device.cache
    options:
      show_root_heading: true
      show_source: true

## Resources

::: xovis.api.device.resources.analytics
::: xovis.api.device.resources.datapush
::: xovis.api.device.resources.history
::: xovis.api.device.resources.scene
::: xovis.api.device.resources.system
::: xovis.api.device.resources.network
::: xovis.api.device.resources.privacy
::: xovis.api.device.resources.itxpt
::: xovis.api.device.resources.update
::: xovis.api.device.resources.time_config
::: xovis.api.device.resources.users
::: xovis.api.device.resources.images
